Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Lyo » Issue with Lyo Code Generator & Toolchain installation(Issue with Lyo Code Generator & Toolchain installation)
Issue with Lyo Code Generator & Toolchain installation [message #1765718] Tue, 13 June 2017 20:03 Go to next message
Matt Stone is currently offline Matt StoneFriend
Messages: 46
Registered: August 2014
Member
I'm attempting to install the Lyo Code Generator and Toolchain but Eclipse is having issues. I saw the same warning message for solution 1-3 but the install has been stuck on 4 for the last 3 hours. Any ideas?

http://sws-corp.com/installers/linked/lyo_install.png
Re: Issue with Lyo Code Generator & Toolchain installation [message #1765724 is a reply to message #1765718] Tue, 13 June 2017 21:10 Go to previous messageGo to next message
Jad El-khoury is currently offline Jad El-khouryFriend
Messages: 31
Registered: August 2015
Member
I had this same problem today.
Can you check what happens when you press the red square button? You should receive some error message, indicating what conflicts you may have. (In my case, there was a conflict in the versions of Sirius that I happened to have installed).
Can you please share the error message you see?
Re: Issue with Lyo Code Generator & Toolchain installation [message #1765921 is a reply to message #1765724] Wed, 14 June 2017 13:33 Go to previous messageGo to next message
Matt Stone is currently offline Matt StoneFriend
Messages: 46
Registered: August 2014
Member
I let it run overnight and now it's on 13/15. I'm not sure if I should let it finish or if I should stop it as suggested. Thoughts?
Re: Issue with Lyo Code Generator & Toolchain installation [message #1765924 is a reply to message #1765921] Wed, 14 June 2017 13:35 Go to previous messageGo to next message
Jad El-khoury is currently offline Jad El-khouryFriend
Messages: 31
Registered: August 2015
Member
I'd let it stop, and check the error message. It should not take so long to fix. Most likely it will end with a failure anyway.
I suspect you have a conflict with versions of other plugins already installed. We just need to identify these plugins.
Re: Issue with Lyo Code Generator & Toolchain installation [message #1765941 is a reply to message #1765924] Wed, 14 June 2017 14:23 Go to previous messageGo to next message
Matt Stone is currently offline Matt StoneFriend
Messages: 46
Registered: August 2014
Member
Here's the error....

Cannot complete the install because one or more required items could not be found.
  Software being installed: Lyo Toolchain 1.0.0.201705082026 (org.eclipse.lyo.tools.toolchain.feature.feature.group 1.0.0.201705082026)
  Missing requirement: Lyo Toolchain 1.0.0.201705082026 (org.eclipse.lyo.tools.toolchain.feature.feature.group 1.0.0.201705082026) requires 'org.eclipse.sirius.specifier.feature.group 0.0.0' but it could not be found

I installed Sirius before I attempted to install the Lyo tools.

http://sws-corp.com/installers/linked/lyo_sirius.png

What am I missing?
Re: Issue with Lyo Code Generator & Toolchain installation [message #1765946 is a reply to message #1765941] Wed, 14 June 2017 14:39 Go to previous messageGo to next message
Matt Stone is currently offline Matt StoneFriend
Messages: 46
Registered: August 2014
Member
I uninstalled Sirius and tried reinstalling. I'm getting this...

http://sws-corp.com/installers/linked/lyo_sirius_install.png

This is the message I get when I click "No"...

The following solutions are not available: Sirius (id=org.eclipse.sirius.runtime.feature.feature.group, Sirius Runtime Support for Acceleo 3 2.0.0.201410241344 org.eclipse.sirius.runtime.acceleo.feature.group Eclipse Modeling Project.feature.group, site=http://download.eclipse.org/sirius/updates/releases/2.0.0/luna)

[Updated on: Wed, 14 June 2017 14:44]

Report message to a moderator

Re: Issue with Lyo Code Generator & Toolchain installation [message #1765954 is a reply to message #1765946] Wed, 14 June 2017 15:04 Go to previous messageGo to next message
Jad El-khoury is currently offline Jad El-khouryFriend
Messages: 31
Registered: August 2015
Member
I see that you are using Eclipse Luna! Is there any chance you can use Neon or Mars?

The Lyo Modeller is relying on Sirius 4.1.3 which I persume is not available for Luna. It has been a while since we tried to run/test it on Luna.

You don't need to install Sirius first (preferably, you should actually avoid installing Sirius first). But can you check/confirm the latest version of Sirius you can install on Luna?
Re: Issue with Lyo Code Generator & Toolchain installation [message #1766018 is a reply to message #1765954] Wed, 14 June 2017 19:27 Go to previous messageGo to next message
Jad El-khoury is currently offline Jad El-khouryFriend
Messages: 31
Registered: August 2015
Member
I got some more tips from people that need to use Luna for OSLC4j development. You can install an Eclipse Neon workspace for the Lyo modelling and the code generation.
The generated code can then be further developed using Luna without any problems, since the code - once generated - is not dependent on the modeller/generator.
Re: Issue with Lyo Code Generator & Toolchain installation [message #1766639 is a reply to message #1765954] Fri, 23 June 2017 18:07 Go to previous messageGo to next message
Matt Stone is currently offline Matt StoneFriend
Messages: 46
Registered: August 2014
Member
I see Sirius version 2.0 in my Eclipse marketplace. And actually, I'm using Kepler SR2.

[Updated on: Fri, 23 June 2017 18:43]

Report message to a moderator

Re: Issue with Lyo Code Generator & Toolchain installation [message #1766664 is a reply to message #1766639] Sat, 24 June 2017 12:00 Go to previous messageGo to next message
Jad El-khoury is currently offline Jad El-khouryFriend
Messages: 31
Registered: August 2015
Member
Lyo Modeller requires Sirius 4.3. Are you able to install Sirius 4.3? I am not even sure if Lyo Modeller (nor Sirius) are compatible with these older versions of Eclipse.

If you really need to use Kepler, your best bet is still to install and use Eclipse Neon for the Lyo modelling and the code generation. The oslc4j code produced can then be run under kepler (since the code produced does not depend on the modeller/generator).
Re: Issue with Lyo Code Generator & Toolchain installation [message #1766674 is a reply to message #1766664] Sun, 25 June 2017 03:06 Go to previous message
Matt Stone is currently offline Matt StoneFriend
Messages: 46
Registered: August 2014
Member
Understood. Thank you.
Previous Topic:Update DNG Module Artifact attributes
Next Topic:A javax.ws.rs.ext.MessageBodyReader implementation was not found for class org.eclipse.lyo.oslc4j.co
Goto Forum:
  


Current Time: Thu Sep 20 21:54:50 GMT 2018

Powered by FUDForum. Page generated in 0.02037 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top